diff --git a/doc/src/sgml/datatype.sgml b/doc/src/sgml/datatype.sgml
index e5267a8e4be..b4c4db61f90 100644
--- a/doc/src/sgml/datatype.sgml
+++ b/doc/src/sgml/datatype.sgml
@@ -335,7 +335,7 @@
    the original input.
   </para>
 
-  <sect1 id="datatype-numeric">
+  <sect1 id="datatype-numeric" xreflabel="Numeric Types">
    <title>Numeric Types</title>
 
    <indexterm zone="datatype-numeric">
@@ -444,7 +444,7 @@
     information.  The following sections describe the types in detail.
    </para>
 
-   <sect2 id="datatype-int">
+   <sect2 id="datatype-int" xreflabel="Integer Types">
     <title>Integer Types</title>
 
     <indexterm zone="datatype-int">
@@ -500,7 +500,7 @@
 
    </sect2>
 
-   <sect2 id="datatype-numeric-decimal">
+   <sect2 id="datatype-numeric-decimal" xreflabel="Arbitrary Precision Numbers">
     <title>Arbitrary Precision Numbers</title>
 
     <indexterm>
@@ -735,7 +735,7 @@ FROM generate_series(-3.5, 3.5, 1) AS x;
    </sect2>
 
 
-   <sect2 id="datatype-float">
+   <sect2 id="datatype-float" xreflabel="Floating-Point Types">
     <title>Floating-Point Types</title>
 
     <indexterm zone="datatype-float">
@@ -915,7 +915,7 @@ FROM generate_series(-3.5, 3.5, 1) AS x;
 
    </sect2>
 
-   <sect2 id="datatype-serial">
+   <sect2 id="datatype-serial" xreflabel="Serial Types">
     <title>Serial Types</title>
 
     <indexterm zone="datatype-serial">
@@ -1038,7 +1038,7 @@ ALTER SEQUENCE <replaceable class="parameter">tablename</replaceable>_<replaceab
    </sect2>
   </sect1>
 
-  <sect1 id="datatype-money">
+  <sect1 id="datatype-money" xreflabel="Monetary Types">
    <title>Monetary Types</title>
 
    <para>
@@ -1122,7 +1122,7 @@ SELECT '52093.89'::money::numeric::float8;
   </sect1>
 
 
-  <sect1 id="datatype-character">
+  <sect1 id="datatype-character" xreflabel="Character Types">
    <title>Character Types</title>
 
    <indexterm zone="datatype-character">
@@ -1403,7 +1403,7 @@ SELECT b, char_length(b) FROM test2;
 
   </sect1>
 
- <sect1 id="datatype-binary">
+ <sect1 id="datatype-binary" xreflabel="Binary Data Types">
   <title>Binary Data Types</title>
 
   <indexterm zone="datatype-binary">
@@ -1478,7 +1478,7 @@ SELECT b, char_length(b) FROM test2;
     mostly the same.
    </para>
 
-  <sect2 id="datatype-binary-bytea-hex-format">
+  <sect2 id="datatype-binary-bytea-hex-format" xreflabel="bytea Hex Format">
    <title><type>bytea</type> Hex Format</title>
 
    <para>
@@ -1510,7 +1510,7 @@ SELECT '\xDEADBEEF'::bytea;
    </para>
   </sect2>
 
-  <sect2 id="datatype-binary-bytea-escape-format">
+  <sect2 id="datatype-binary-bytea-escape-format" xreflabel="bytea Escape Format">
    <title><type>bytea</type> Escape Format</title>
 
    <para>
@@ -1706,7 +1706,7 @@ SELECT 'abc \153\154\155 \052\251\124'::bytea;
  </sect1>
 
 
-  <sect1 id="datatype-datetime">
+  <sect1 id="datatype-datetime" xreflabel="Date/Time Types">
    <title>Date/Time Types</title>
 
    <indexterm zone="datatype-datetime">
@@ -1872,7 +1872,7 @@ MINUTE TO SECOND
     any application.
    </para>
 
-   <sect2 id="datatype-datetime-input">
+   <sect2 id="datatype-datetime-input" xreflabel="Date/Time Input">
     <title>Date/Time Input</title>
 
     <para>
@@ -1916,7 +1916,7 @@ MINUTE TO SECOND
      more than 6 digits).
     </para>
 
-    <sect3 id="datatype-datetime-input-dates">
+    <sect3 id="datatype-datetime-input-dates" xreflabel="Dates">
     <title>Dates</title>
 
     <indexterm>
@@ -2015,7 +2015,7 @@ MINUTE TO SECOND
      </table>
     </sect3>
 
-    <sect3 id="datatype-datetime-input-times">
+    <sect3 id="datatype-datetime-input-times" xreflabel="Times">
      <title>Times</title>
 
      <indexterm>
@@ -2178,7 +2178,7 @@ MINUTE TO SECOND
     </para>
     </sect3>
 
-    <sect3 id="datatype-datetime-input-time-stamps">
+    <sect3 id="datatype-datetime-input-time-stamps" xreflabel="Time Stamps">
     <title>Time Stamps</title>
 
     <indexterm>
@@ -2285,7 +2285,7 @@ TIMESTAMP WITH TIME ZONE '2004-10-19 10:23:54+02'
      </para>
     </sect3>
 
-    <sect3 id="datatype-datetime-special-values">
+    <sect3 id="datatype-datetime-special-values" xreflabel="Special Values">
      <title>Special Values</title>
 
      <indexterm>
@@ -2396,7 +2396,7 @@ TIMESTAMP WITH TIME ZONE '2004-10-19 10:23:54+02'
     </sect3>
    </sect2>
 
-   <sect2 id="datatype-datetime-output">
+   <sect2 id="datatype-datetime-output" xreflabel="Date/Time Output">
     <title>Date/Time Output</title>
 
     <indexterm>
@@ -2558,7 +2558,7 @@ TIMESTAMP WITH TIME ZONE '2004-10-19 10:23:54+02'
     </para>
    </sect2>
 
-   <sect2 id="datatype-timezones">
+   <sect2 id="datatype-timezones" xreflabel="Time Zones">
     <title>Time Zones</title>
 
     <indexterm zone="datatype-timezones">
@@ -2741,7 +2741,7 @@ TIMESTAMP WITH TIME ZONE '2004-10-19 10:23:54+02'
     </para>
    </sect2>
 
-   <sect2 id="datatype-interval-input">
+   <sect2 id="datatype-interval-input" xreflabel="Interval Input">
     <title>Interval Input</title>
 
     <indexterm>
@@ -2959,7 +2959,7 @@ SELECT '2 years 15 months 100 weeks 99 hours 123456789 milliseconds'::interval;
 
    </sect2>
 
-   <sect2 id="datatype-interval-output">
+   <sect2 id="datatype-interval-output" xreflabel="Interval Output">
     <title>Interval Output</title>
 
     <indexterm>
@@ -3023,7 +3023,7 @@ SELECT '2 years 15 months 100 weeks 99 hours 123456789 milliseconds'::interval;
      ISO 8601 standard.
     </para>
 
-     <table id="interval-style-output-table">
+     <table id="interval-style-output-table" xreflabel="Interval Output Style Examples">
        <title>Interval Output Style Examples</title>
        <tgroup cols="4">
         <thead>
@@ -3067,7 +3067,7 @@ SELECT '2 years 15 months 100 weeks 99 hours 123456789 milliseconds'::interval;
 
   </sect1>
 
-  <sect1 id="datatype-boolean">
+  <sect1 id="datatype-boolean" xreflabel="Boolean Type">
    <title>Boolean Type</title>
 
    <indexterm zone="datatype-boolean">
@@ -3188,7 +3188,7 @@ SELECT * FROM test1 WHERE a;
    </para>
   </sect1>
 
-  <sect1 id="datatype-enum">
+  <sect1 id="datatype-enum" xreflabel="Enumerated Types">
    <title>Enumerated Types</title>
 
    <indexterm zone="datatype-enum">
@@ -3209,7 +3209,7 @@ SELECT * FROM test1 WHERE a;
     a piece of data.
    </para>
 
-   <sect2 id="datatype-enum-declaration">
+   <sect2 id="datatype-enum-declaration" xreflabel="Declaration of Enumerated Types">
     <title>Declaration of Enumerated Types</title>
 
     <para>
@@ -3239,7 +3239,7 @@ SELECT * FROM person WHERE current_mood = 'happy';
     </para>
     </sect2>
 
-    <sect2 id="datatype-enum-ordering">
+    <sect2 id="datatype-enum-ordering" xreflabel="Ordering">
      <title>Ordering</title>
 
      <para>
@@ -3276,7 +3276,7 @@ WHERE current_mood = (SELECT MIN(current_mood) FROM person);
      </para>
    </sect2>
 
-   <sect2 id="datatype-enum-type-safety">
+   <sect2 id="datatype-enum-type-safety" xreflabel="Type Safety">
     <title>Type Safety</title>
 
     <para>
@@ -3316,7 +3316,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
     </para>
    </sect2>
 
-   <sect2 id="datatype-enum-implementation-details">
+   <sect2 id="datatype-enum-implementation-details" xreflabel="Implementation Details">
     <title>Implementation Details</title>
 
     <para>
@@ -3350,7 +3350,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
    </sect2>
   </sect1>
 
-  <sect1 id="datatype-geometric">
+  <sect1 id="datatype-geometric" xreflabel="Geometric Types">
    <title>Geometric Types</title>
 
    <para>
@@ -3438,7 +3438,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
     intersections.  They are explained in <xref linkend="functions-geometry"/>.
    </para>
 
-   <sect2 id="datatype-geometric-points">
+   <sect2 id="datatype-geometric-points" xreflabel="Points">
     <title>Points</title>
 
     <indexterm>
@@ -3464,7 +3464,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
     </para>
    </sect2>
 
-   <sect2 id="datatype-line">
+   <sect2 id="datatype-line" xreflabel="Lines">
     <title>Lines</title>
 
     <indexterm>
@@ -3497,7 +3497,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
     </para>
    </sect2>
 
-   <sect2 id="datatype-lseg">
+   <sect2 id="datatype-lseg" xreflabel="Line Segments">
     <title>Line Segments</title>
 
     <indexterm>
@@ -3532,7 +3532,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
     </para>
    </sect2>
 
-   <sect2 id="datatype-geometric-boxes">
+   <sect2 id="datatype-geometric-boxes" xreflabel="Boxes">
     <title>Boxes</title>
 
     <indexterm>
@@ -3573,7 +3573,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
     </para>
    </sect2>
 
-   <sect2 id="datatype-geometric-paths">
+   <sect2 id="datatype-geometric-paths" xreflabel="Paths">
     <title>Paths</title>
 
     <indexterm>
@@ -3612,7 +3612,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
     </para>
    </sect2>
 
-   <sect2 id="datatype-polygon">
+   <sect2 id="datatype-polygon" xreflabel="Polygons">
     <title>Polygons</title>
 
     <indexterm>
@@ -3654,7 +3654,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
     </para>
    </sect2>
 
-   <sect2 id="datatype-circle">
+   <sect2 id="datatype-circle" xreflabel="Circles">
     <title>Circles</title>
 
     <indexterm>
@@ -3686,7 +3686,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
 
   </sect1>
 
-  <sect1 id="datatype-net-types">
+  <sect1 id="datatype-net-types" xreflabel="Network Address Types">
    <title>Network Address Types</title>
 
    <indexterm zone="datatype-net-types">
@@ -3754,7 +3754,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
    </para>
 
 
-   <sect2 id="datatype-inet">
+   <sect2 id="datatype-inet" xreflabel="inet">
     <title><type>inet</type></title>
 
     <indexterm>
@@ -3792,7 +3792,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
     </para>
    </sect2>
 
-   <sect2 id="datatype-cidr">
+   <sect2 id="datatype-cidr" xreflabel="cidr">
     <title><type>cidr</type></title>
 
     <indexterm>
@@ -3916,7 +3916,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
      </table>
    </sect2>
 
-   <sect2 id="datatype-inet-vs-cidr">
+   <sect2 id="datatype-inet-vs-cidr" xreflabel="inet vs. cidr">
     <title><type>inet</type> vs. <type>cidr</type></title>
 
     <para>
@@ -3936,7 +3936,7 @@ SELECT person.name, holidays.num_weeks FROM person, holidays
       </tip>
    </sect2>
 
-   <sect2 id="datatype-macaddr">
+   <sect2 id="datatype-macaddr" xreflabel="macaddr">
     <title><type>macaddr</type></title>
 
     <indexterm>
@@ -4062,7 +4062,7 @@ SELECT macaddr8_set7bit('08:00:2b:01:02:03');
 
   </sect1>
 
-  <sect1 id="datatype-bit">
+  <sect1 id="datatype-bit" xreflabel="Bit String Types">
    <title>Bit String Types</title>
 
    <indexterm zone="datatype-bit">
@@ -4138,7 +4138,7 @@ SELECT * FROM test;
    </para>
   </sect1>
 
-  <sect1 id="datatype-textsearch">
+  <sect1 id="datatype-textsearch" xreflabel="Text Search Types">
    <title>Text Search Types</title>
 
    <indexterm zone="datatype-textsearch">
@@ -4164,7 +4164,7 @@ SELECT * FROM test;
     related functions and operators.
    </para>
 
-   <sect2 id="datatype-tsvector">
+   <sect2 id="datatype-tsvector" xreflabel="tsvector">
     <title><type>tsvector</type></title>
 
     <indexterm>
@@ -4274,7 +4274,7 @@ SELECT to_tsvector('english', 'The Fat Rats');
 
    </sect2>
 
-   <sect2 id="datatype-tsquery">
+   <sect2 id="datatype-tsquery" xreflabel="tsquery">
     <title><type>tsquery</type></title>
 
     <indexterm>
@@ -4385,7 +4385,7 @@ SELECT to_tsvector( 'postgraduate' ), to_tsquery( 'postgres:*' );
 
   </sect1>
 
-  <sect1 id="datatype-uuid">
+  <sect1 id="datatype-uuid" xreflabel="UUID Type">
    <title><acronym>UUID</acronym> Type</title>
 
    <indexterm zone="datatype-uuid">
@@ -4445,7 +4445,7 @@ a0ee-bc99-9c0b-4ef8-bb6d-6bb9-bd38-0a11
    </para>
   </sect1>
 
-  <sect1 id="datatype-xml">
+  <sect1 id="datatype-xml" xreflabel="XML Type">
    <title><acronym>XML</acronym> Type</title>
 
    <indexterm zone="datatype-xml">
@@ -4481,7 +4481,7 @@ a0ee-bc99-9c0b-4ef8-bb6d-6bb9-bd38-0a11
     can be found in <xref linkend="xml-limits-conformance"/>.
    </para>
 
-   <sect2 id="datatype-xml-creating">
+   <sect2 id="datatype-xml-creating" xreflabel="Creating XML Values">
     <title>Creating XML Values</title>
    <para>
     To produce a value of type <type>xml</type> from character data,
@@ -4558,7 +4558,7 @@ SET xmloption TO { DOCUMENT | CONTENT };
 
    </sect2>
 
-   <sect2 id="datatype-xml-encoding-handling">
+   <sect2 id="datatype-xml-encoding-handling" xreflabel="Encoding Handling">
     <title>Encoding Handling</title>
    <para>
     Care must be taken when dealing with multiple character encodings
@@ -4616,7 +4616,7 @@ SET xmloption TO { DOCUMENT | CONTENT };
    </caution>
    </sect2>
 
-   <sect2 id="datatype-xml-accessing-xml-values">
+   <sect2 id="datatype-xml-accessing-xml-values" xreflabel="Accessing XML Values">
    <title>Accessing XML Values</title>
 
    <para>
@@ -4659,7 +4659,7 @@ SET xmloption TO { DOCUMENT | CONTENT };
 
   &rangetypes;
 
-  <sect1 id="domains">
+  <sect1 id="domains" xreflabel="Domain Types">
    <title>Domain Types</title>
 
    <indexterm zone="domains">
@@ -4712,7 +4712,7 @@ INSERT INTO mytable VALUES(-1);  -- fails
    </para>
   </sect1>
 
-  <sect1 id="datatype-oid">
+  <sect1 id="datatype-oid" xreflabel="Object Identifier Types">
    <title>Object Identifier Types</title>
 
    <indexterm zone="datatype-oid">
@@ -5093,7 +5093,7 @@ WHERE ...
    </para>
   </sect1>
 
-  <sect1 id="datatype-pg-lsn">
+  <sect1 id="datatype-pg-lsn" xreflabel="pg_lsn Type">
    <title><type>pg_lsn</type> Type</title>
 
    <indexterm zone="datatype-pg-lsn">
@@ -5125,7 +5125,7 @@ WHERE ...
    </para>
   </sect1>
 
-  <sect1 id="datatype-pseudo">
+  <sect1 id="datatype-pseudo" xreflabel="Pseudo-Types">
    <title>Pseudo-Types</title>
 
    <indexterm zone="datatype-pseudo">
diff --git a/doc/src/sgml/datetime.sgml b/doc/src/sgml/datetime.sgml
index 5905f5fa550..7dddfd006b1 100644
--- a/doc/src/sgml/datetime.sgml
+++ b/doc/src/sgml/datetime.sgml
@@ -20,7 +20,7 @@
    dates and times.
   </para>
 
-  <sect1 id="datetime-input-rules">
+  <sect1 id="datetime-input-rules" xreflabel="Date/Time Input Interpretation">
    <title>Date/Time Input Interpretation</title>
 
    <para>
@@ -177,7 +177,7 @@
   </sect1>
 
 
-  <sect1 id="datetime-invalid-input">
+  <sect1 id="datetime-invalid-input" xreflabel="Handling of Invalid or Ambiguous Timestamps">
    <title>Handling of Invalid or Ambiguous Timestamps</title>
 
    <para>
@@ -252,7 +252,7 @@
   </sect1>
 
 
-  <sect1 id="datetime-keywords">
+  <sect1 id="datetime-keywords" xreflabel="Date/Time Key Words">
    <title>Date/Time Key Words</title>
 
    <para>
@@ -413,7 +413,7 @@
     </table>
   </sect1>
 
-  <sect1 id="datetime-config-files">
+  <sect1 id="datetime-config-files" xreflabel="Date/Time Configuration Files">
   <title>Date/Time Configuration Files</title>
 
    <indexterm>
@@ -587,7 +587,7 @@
 
   </sect1>
 
-  <sect1 id="datetime-posix-timezone-specs">
+  <sect1 id="datetime-posix-timezone-specs" xreflabel="POSIX Time Zone Specifications">
   <title><acronym>POSIX</acronym> Time Zone Specifications</title>
 
   <indexterm zone="datetime-posix-timezone-specs">
@@ -789,7 +789,7 @@
 
   </sect1>
 
-  <sect1 id="datetime-units-history">
+  <sect1 id="datetime-units-history" xreflabel="History of Units">
   <title>History of Units</title>
 
   <indexterm zone="datetime-units-history">
@@ -899,7 +899,7 @@ $ <userinput>cal 9 1752</userinput>
 
   </sect1>
 
-  <sect1 id="datetime-julian-dates">
+  <sect1 id="datetime-julian-dates" xreflabel="Julian Dates">
   <title>Julian Dates</title>
 
   <indexterm zone="datetime-julian-dates">
diff --git a/doc/src/sgml/ddl.sgml b/doc/src/sgml/ddl.sgml
index cea28c00f8a..116a41d3f6c 100644
--- a/doc/src/sgml/ddl.sgml
+++ b/doc/src/sgml/ddl.sgml
@@ -16,7 +16,7 @@
   triggers.
  </para>
 
- <sect1 id="ddl-basics">
+ <sect1 id="ddl-basics" xreflabel="Table Basics">
   <title>Table Basics</title>
 
   <indexterm zone="ddl-basics">
@@ -168,7 +168,7 @@ DROP TABLE products;
   </para>
  </sect1>
 
- <sect1 id="ddl-default">
+ <sect1 id="ddl-default" xreflabel="Default Values">
   <title>Default Values</title>
 
   <indexterm zone="ddl-default">
@@ -233,7 +233,7 @@ CREATE TABLE products (
   </para>
  </sect1>
 
- <sect1 id="ddl-identity-columns">
+ <sect1 id="ddl-identity-columns" xreflabel="Identity Columns">
   <title>Identity Columns</title>
 
   <indexterm zone="ddl-identity-columns">
@@ -345,7 +345,7 @@ INSERT INTO people (id, name, address) VALUES (<emphasis>DEFAULT</emphasis>, 'C'
   </para>
  </sect1>
 
- <sect1 id="ddl-generated-columns">
+ <sect1 id="ddl-generated-columns" xreflabel="Generated Columns">
   <title>Generated Columns</title>
 
   <indexterm zone="ddl-generated-columns">
@@ -562,7 +562,7 @@ CREATE TABLE people (
   </para>
  </sect1>
 
- <sect1 id="ddl-constraints">
+ <sect1 id="ddl-constraints" xreflabel="Constraints">
   <title>Constraints</title>
 
   <indexterm zone="ddl-constraints">
@@ -588,7 +588,7 @@ CREATE TABLE people (
    even if the value came from the default value definition.
   </para>
 
-  <sect2 id="ddl-constraints-check-constraints">
+  <sect2 id="ddl-constraints-check-constraints" xreflabel="Check Constraints">
    <title>Check Constraints</title>
 
    <indexterm>
@@ -787,7 +787,7 @@ CREATE TABLE products (
    </note>
   </sect2>
 
-  <sect2 id="ddl-constraints-not-null">
+  <sect2 id="ddl-constraints-not-null" xreflabel="Not-Null Constraints">
    <title>Not-Null Constraints</title>
 
    <indexterm>
@@ -890,7 +890,7 @@ CREATE TABLE products (
    </tip>
   </sect2>
 
-  <sect2 id="ddl-constraints-unique-constraints">
+  <sect2 id="ddl-constraints-unique-constraints" xreflabel="Unique Constraints">
    <title>Unique Constraints</title>
 
    <indexterm>
@@ -999,7 +999,7 @@ CREATE TABLE products (
    </para>
   </sect2>
 
-  <sect2 id="ddl-constraints-primary-keys">
+  <sect2 id="ddl-constraints-primary-keys" xreflabel="Primary Keys">
    <title>Primary Keys</title>
 
    <indexterm>
@@ -1074,7 +1074,7 @@ CREATE TABLE example (
    </para>
   </sect2>
 
-  <sect2 id="ddl-constraints-fk">
+  <sect2 id="ddl-constraints-fk" xreflabel="Foreign Keys">
    <title>Foreign Keys</title>
 
    <indexterm>
@@ -1409,7 +1409,7 @@ CREATE TABLE posts (
    </para>
   </sect2>
 
-  <sect2 id="ddl-constraints-exclusion">
+  <sect2 id="ddl-constraints-exclusion" xreflabel="Exclusion Constraints">
    <title>Exclusion Constraints</title>
 
    <indexterm>
@@ -1446,7 +1446,7 @@ CREATE TABLE circles (
   </sect2>
  </sect1>
 
- <sect1 id="ddl-system-columns">
+ <sect1 id="ddl-system-columns" xreflabel="System Columns">
   <title>System Columns</title>
 
   <para>
@@ -1585,7 +1585,7 @@ CREATE TABLE circles (
    </para>
  </sect1>
 
- <sect1 id="ddl-temporal-tables">
+ <sect1 id="ddl-temporal-tables" xreflabel="Temporal Tables">
   <title>Temporal Tables</title>
 
   <indexterm zone="ddl-temporal-tables">
@@ -1601,7 +1601,7 @@ CREATE TABLE circles (
    to express and manage such histories in temporal tables.
   </para>
 
-  <sect2 id="ddl-application-time">
+  <sect2 id="ddl-application-time" xreflabel="Application Time">
    <title>Application Time</title>
 
    <indexterm zone="ddl-application-time">
@@ -1680,7 +1680,7 @@ CREATE TABLE products (
     <quote>versions</quote> persist for extended periods of time.
    </para>
 
-   <sect3 id="ddl-application-time-primary-keys">
+   <sect3 id="ddl-application-time-primary-keys" xreflabel="Temporal Primary Keys and Unique Constraints">
     <title>Temporal Primary Keys and Unique Constraints</title>
 
     <para>
@@ -1756,7 +1756,7 @@ CREATE TABLE products (
     </para>
    </sect3>
 
-   <sect3 id="ddl-application-time-foreign-keys">
+   <sect3 id="ddl-application-time-foreign-keys" xreflabel="Temporal Foreign Keys">
     <title>Temporal Foreign Keys</title>
 
     <para>
@@ -1855,7 +1855,7 @@ CREATE TABLE variants (
    </sect3>
   </sect2>
 
-  <sect2 id="ddl-system-time">
+  <sect2 id="ddl-system-time" xreflabel="System Time">
    <title>System Time</title>
 
    <indexterm zone="ddl-system-time">
@@ -1876,7 +1876,7 @@ CREATE TABLE variants (
   </sect2>
  </sect1>
 
- <sect1 id="ddl-alter">
+ <sect1 id="ddl-alter" xreflabel="Modifying Tables">
   <title>Modifying Tables</title>
 
   <indexterm zone="ddl-alter">
@@ -1932,7 +1932,7 @@ CREATE TABLE variants (
    here.
   </para>
 
-  <sect2 id="ddl-alter-adding-a-column">
+  <sect2 id="ddl-alter-adding-a-column" xreflabel="Adding a Column">
    <title>Adding a Column</title>
 
    <indexterm>
@@ -1986,7 +1986,7 @@ ALTER TABLE products ADD COLUMN description text CHECK (description &lt;&gt; '')
 
   </sect2>
 
-  <sect2 id="ddl-alter-removing-a-column">
+  <sect2 id="ddl-alter-removing-a-column" xreflabel="Removing a Column">
    <title>Removing a Column</title>
 
    <indexterm>
@@ -2013,7 +2013,7 @@ ALTER TABLE products DROP COLUMN description CASCADE;
    </para>
   </sect2>
 
-  <sect2 id="ddl-alter-adding-a-constraint">
+  <sect2 id="ddl-alter-adding-a-constraint" xreflabel="Adding a Constraint">
    <title>Adding a Constraint</title>
 
    <indexterm>
@@ -2046,7 +2046,7 @@ ALTER TABLE products ALTER COLUMN product_no SET NOT NULL;
    </para>
   </sect2>
 
-  <sect2 id="ddl-alter-removing-a-constraint">
+  <sect2 id="ddl-alter-removing-a-constraint" xreflabel="Removing a Constraint">
    <title>Removing a Constraint</title>
 
    <indexterm>
@@ -2087,7 +2087,7 @@ ALTER TABLE products ALTER COLUMN product_no DROP NOT NULL;
    </para>
   </sect2>
 
-  <sect2 id="ddl-alter-column-default">
+  <sect2 id="ddl-alter-column-default" xreflabel="Changing a Column's Default Value">
    <title>Changing a Column's Default Value</title>
 
    <indexterm>
@@ -2116,7 +2116,7 @@ ALTER TABLE products ALTER COLUMN price DROP DEFAULT;
    </para>
   </sect2>
 
-  <sect2 id="ddl-alter-column-type">
+  <sect2 id="ddl-alter-column-type" xreflabel="Changing a Column's Data Type">
    <title>Changing a Column's Data Type</title>
 
    <indexterm>
@@ -2145,7 +2145,7 @@ ALTER TABLE products ALTER COLUMN price TYPE numeric(10,2);
    </para>
   </sect2>
 
-  <sect2 id="ddl-alter-renaming-column">
+  <sect2 id="ddl-alter-renaming-column" xreflabel="Renaming a Column">
    <title>Renaming a Column</title>
 
    <indexterm>
@@ -2161,7 +2161,7 @@ ALTER TABLE products RENAME COLUMN product_no TO product_number;
    </para>
   </sect2>
 
-  <sect2 id="ddl-alter-renaming-table">
+  <sect2 id="ddl-alter-renaming-table" xreflabel="Renaming a Table">
    <title>Renaming a Table</title>
 
    <indexterm>
@@ -2178,7 +2178,7 @@ ALTER TABLE products RENAME TO items;
   </sect2>
  </sect1>
 
- <sect1 id="ddl-priv">
+ <sect1 id="ddl-priv" xreflabel="Privileges">
   <title>Privileges</title>
 
   <indexterm zone="ddl-priv">
@@ -2888,7 +2888,7 @@ GRANT SELECT (col1), UPDATE (col1) ON mytable TO miriam_rw;
   </para>
  </sect1>
 
- <sect1 id="ddl-rowsecurity">
+ <sect1 id="ddl-rowsecurity" xreflabel="Row Security Policies">
   <title>Row Security Policies</title>
 
   <indexterm zone="ddl-rowsecurity">
@@ -3354,7 +3354,7 @@ SELECT * FROM information WHERE group_id = 2 FOR UPDATE;
 
  </sect1>
 
- <sect1 id="ddl-schemas">
+ <sect1 id="ddl-schemas" xreflabel="Schemas">
   <title>Schemas</title>
 
   <indexterm zone="ddl-schemas">
@@ -3425,7 +3425,7 @@ SELECT * FROM information WHERE group_id = 2 FOR UPDATE;
    except that schemas cannot be nested.
   </para>
 
-  <sect2 id="ddl-schemas-create">
+  <sect2 id="ddl-schemas-create" xreflabel="Creating a Schema">
    <title>Creating a Schema</title>
 
    <indexterm zone="ddl-schemas-create">
@@ -3521,7 +3521,7 @@ CREATE SCHEMA <replaceable>schema_name</replaceable> AUTHORIZATION <replaceable>
    </para>
   </sect2>
 
-  <sect2 id="ddl-schemas-public">
+  <sect2 id="ddl-schemas-public" xreflabel="The Public Schema">
    <title>The Public Schema</title>
 
    <indexterm zone="ddl-schemas-public">
@@ -3544,7 +3544,7 @@ CREATE TABLE public.products ( ... );
    </para>
   </sect2>
 
-  <sect2 id="ddl-schemas-path">
+  <sect2 id="ddl-schemas-path" xreflabel="The Schema Search Path">
    <title>The Schema Search Path</title>
 
    <indexterm>
@@ -3678,7 +3678,7 @@ SELECT 3 OPERATOR(pg_catalog.+) 4;
    </para>
   </sect2>
 
-  <sect2 id="ddl-schemas-priv">
+  <sect2 id="ddl-schemas-priv" xreflabel="Schemas and Privileges">
    <title>Schemas and Privileges</title>
 
    <indexterm zone="ddl-schemas-priv">
@@ -3714,7 +3714,7 @@ REVOKE CREATE ON SCHEMA public FROM PUBLIC;
    </para>
   </sect2>
 
-  <sect2 id="ddl-schemas-catalog">
+  <sect2 id="ddl-schemas-catalog" xreflabel="The System Catalog Schema">
    <title>The System Catalog Schema</title>
 
    <indexterm zone="ddl-schemas-catalog">
@@ -3748,7 +3748,7 @@ REVOKE CREATE ON SCHEMA public FROM PUBLIC;
    </para>
   </sect2>
 
-  <sect2 id="ddl-schemas-patterns">
+  <sect2 id="ddl-schemas-patterns" xreflabel="Usage Patterns">
    <title>Usage Patterns</title>
 
    <para>
@@ -3837,7 +3837,7 @@ REVOKE CREATE ON SCHEMA public FROM PUBLIC;
    </para>
   </sect2>
 
-  <sect2 id="ddl-schemas-portability">
+  <sect2 id="ddl-schemas-portability" xreflabel="Portability">
    <title>Portability</title>
 
    <para>
@@ -3870,7 +3870,7 @@ REVOKE CREATE ON SCHEMA public FROM PUBLIC;
   </sect2>
  </sect1>
 
- <sect1 id="ddl-inherit">
+ <sect1 id="ddl-inherit" xreflabel="Inheritance">
   <title>Inheritance</title>
 
   <indexterm>
@@ -4154,7 +4154,7 @@ VALUES ('Albany', NULL, NULL, 'NY');
    the foreign table are not supported on the whole hierarchy either.
   </para>
 
- <sect2 id="ddl-inherit-caveats">
+ <sect2 id="ddl-inherit-caveats" xreflabel="Caveats">
   <title>Caveats</title>
 
   <para>
@@ -4227,7 +4227,7 @@ VALUES ('Albany', NULL, NULL, 'NY');
    </sect2>
   </sect1>
 
-  <sect1 id="ddl-partitioning">
+  <sect1 id="ddl-partitioning" xreflabel="Table Partitioning">
    <title>Table Partitioning</title>
 
    <indexterm>
@@ -4249,7 +4249,7 @@ VALUES ('Albany', NULL, NULL, 'NY');
     partitioning as part of your database design.
    </para>
 
-   <sect2 id="ddl-partitioning-overview">
+   <sect2 id="ddl-partitioning-overview" xreflabel="Overview">
      <title>Overview</title>
 
     <para>
@@ -4362,7 +4362,7 @@ VALUES ('Albany', NULL, NULL, 'NY');
     </para>
    </sect2>
 
-  <sect2 id="ddl-partitioning-declarative">
+  <sect2 id="ddl-partitioning-declarative" xreflabel="Declarative Partitioning">
    <title>Declarative Partitioning</title>
 
    <para>
@@ -4419,7 +4419,7 @@ VALUES ('Albany', NULL, NULL, 'NY');
     information.
    </para>
 
-   <sect3 id="ddl-partitioning-declarative-example">
+   <sect3 id="ddl-partitioning-declarative-example" xreflabel="Example">
     <title>Example</title>
 
    <para>
@@ -4587,7 +4587,7 @@ CREATE INDEX ON measurement (logdate);
    </para>
    </sect3>
 
-   <sect3 id="ddl-partitioning-declarative-maintenance">
+   <sect3 id="ddl-partitioning-declarative-maintenance" xreflabel="Partition Maintenance">
     <title>Partition Maintenance</title>
 
     <para>
@@ -4785,7 +4785,7 @@ ALTER TABLE measurement SPLIT PARTITION measurement_y2006q1 INTO
 
    </sect3>
 
-   <sect3 id="ddl-partitioning-declarative-limitations">
+   <sect3 id="ddl-partitioning-declarative-limitations" xreflabel="Limitations">
     <title>Limitations</title>
 
    <para>
@@ -4901,7 +4901,7 @@ ALTER TABLE measurement SPLIT PARTITION measurement_y2006q1 INTO
     </sect3>
    </sect2>
 
-   <sect2 id="ddl-partitioning-using-inheritance">
+   <sect2 id="ddl-partitioning-using-inheritance" xreflabel="Partitioning Using Inheritance">
     <title>Partitioning Using Inheritance</title>
 
     <para>
@@ -4938,7 +4938,7 @@ ALTER TABLE measurement SPLIT PARTITION measurement_y2006q1 INTO
      </itemizedlist>
     </para>
 
-    <sect3 id="ddl-partitioning-inheritance-example">
+    <sect3 id="ddl-partitioning-inheritance-example" xreflabel="Example">
      <title>Example</title>
 
      <para>
@@ -5195,7 +5195,7 @@ DO INSTEAD
      </para>
     </sect3>
 
-    <sect3 id="ddl-partitioning-inheritance-maintenance">
+    <sect3 id="ddl-partitioning-inheritance-maintenance" xreflabel="Maintenance for Inheritance Partitioning">
      <title>Maintenance for Inheritance Partitioning</title>
      <para>
       To remove old data quickly, simply drop the child table that is no longer
@@ -5241,7 +5241,7 @@ ALTER TABLE measurement_y2008m02 INHERIT measurement;
     </para>
    </sect3>
 
-   <sect3 id="ddl-partitioning-inheritance-caveats">
+   <sect3 id="ddl-partitioning-inheritance-caveats" xreflabel="Caveats">
     <title>Caveats</title>
 
     <para>
@@ -5314,7 +5314,7 @@ ANALYZE ONLY measurement;
    </sect3>
   </sect2>
 
-  <sect2 id="ddl-partition-pruning">
+  <sect2 id="ddl-partition-pruning" xreflabel="Partition Pruning">
    <title>Partition Pruning</title>
 
    <indexterm>
@@ -5452,7 +5452,7 @@ EXPLAIN SELECT count(*) FROM measurement WHERE logdate &gt;= DATE '2008-01-01';
    </para>
   </sect2>
 
-  <sect2 id="ddl-partitioning-constraint-exclusion">
+  <sect2 id="ddl-partitioning-constraint-exclusion" xreflabel="Partitioning and Constraint Exclusion">
    <title>Partitioning and Constraint Exclusion</title>
 
    <indexterm>
@@ -5545,7 +5545,7 @@ EXPLAIN SELECT count(*) FROM measurement WHERE logdate &gt;= DATE '2008-01-01';
    </para>
   </sect2>
 
-  <sect2 id="ddl-partitioning-declarative-best-practices">
+  <sect2 id="ddl-partitioning-declarative-best-practices" xreflabel="Best Practices for Declarative Partitioning">
    <title>Best Practices for Declarative Partitioning</title>
 
    <para>
@@ -5629,7 +5629,7 @@ EXPLAIN SELECT count(*) FROM measurement WHERE logdate &gt;= DATE '2008-01-01';
 
  </sect1>
 
- <sect1 id="ddl-foreign-data">
+ <sect1 id="ddl-foreign-data" xreflabel="Foreign Data">
   <title>Foreign Data</title>
 
    <indexterm>
@@ -5693,7 +5693,7 @@ EXPLAIN SELECT count(*) FROM measurement WHERE logdate &gt;= DATE '2008-01-01';
    </para>
  </sect1>
 
- <sect1 id="ddl-others">
+ <sect1 id="ddl-others" xreflabel="Other Database Objects">
   <title>Other Database Objects</title>
 
   <para>
@@ -5737,7 +5737,7 @@ EXPLAIN SELECT count(*) FROM measurement WHERE logdate &gt;= DATE '2008-01-01';
   </para>
  </sect1>
 
- <sect1 id="ddl-depend">
+ <sect1 id="ddl-depend" xreflabel="Dependency Tracking">
   <title>Dependency Tracking</title>
 
   <indexterm zone="ddl-depend">
diff --git a/doc/src/sgml/dfunc.sgml b/doc/src/sgml/dfunc.sgml
index 3778efc83eb..f6561091579 100644
--- a/doc/src/sgml/dfunc.sgml
+++ b/doc/src/sgml/dfunc.sgml
@@ -1,6 +1,6 @@
 <!-- doc/src/sgml/dfunc.sgml -->
 
-<sect2 id="dfunc">
+<sect2 id="dfunc" xreflabel="Compiling and Linking Dynamically-Loaded Functions">
  <title>Compiling and Linking Dynamically-Loaded Functions</title>
 
  <para>
diff --git a/doc/src/sgml/dict-int.sgml b/doc/src/sgml/dict-int.sgml
index b4ce5484823..3cc064a0e64 100644
--- a/doc/src/sgml/dict-int.sgml
+++ b/doc/src/sgml/dict-int.sgml
@@ -22,7 +22,7 @@
   on the current database.
  </para>
 
- <sect2 id="dict-int-config">
+ <sect2 id="dict-int-config" xreflabel="Configuration">
   <title>Configuration</title>
 
   <para>
@@ -59,7 +59,7 @@
   </itemizedlist>
  </sect2>
 
- <sect2 id="dict-int-usage">
+ <sect2 id="dict-int-usage" xreflabel="Usage">
   <title>Usage</title>
 
   <para>
